#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
package ${package}.${artifactId};

import no.tornado.inject.InitializingBean;
import ${package}.service.HelloService;
import no.tornado.inject.module.Require;

public class HelloClient implements InitializingBean {
	@Require(service = HelloService.class)
	private HelloService helloService;
	
	public void afterPropertiesSet() {
		String username = System.getProperty("user.name");
		String greeting = helloService.hello(username);
		System.out.println("Greeting from helloService: " + greeting);
	}
	
}